## mutter 40.5

=== debian/changelog ===
mutter (40.5-1ubuntu3~21.10.1) impish; urgency=medium

  * Backport to impish
  * debian: Update vcs references for impish branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 19:57:15 +0100

mutter (40.5-1ubuntu3) jammy; urgency=medium

  [ Yuan-Chen Cheng ]
  * d/p/mutter-wayland-seat-race-fix.patch:
    - Fix Xwayland crash Xwayland crash in gdm as screen off and touchscreen
      detach (cherry picked commits — LP: #1948894)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 19:37:09 +0100

mutter (40.5-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * d/p/clutter-frame-clock-Remember-the-refresh-interval.patch,
  * d/p/clutter-frame-clock-Apply-error-diff-to-dispatch-times.patch:
    - Fix rendering smoothness on the Nvidia proprietary driver
      (cherry picked commits — LP: #1946204)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 07 Oct 2021 15:30:02 +0200

mutter (40.5-1ubuntu1) impish; urgency=medium

  * Merge with debian, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 21:26:36 +0200

mutter (40.5-1) unstable; urgency=medium

  * New upstream release:
    - Fix monitor screencast scanouts
    - Fix middle-click emulation support on X11

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 21:11:07 +0200

mutter (40.4-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-capture-4-dev instead of sysprof

  [ Simon McVittie ]
  * Upload to unstable, part of transition #992870

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:34:10 +0100

mutter (40.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't require a newly attached buffer to apply state
    - Fix upside-down Xshape surface with EGLstream
    - Handle failure to allocate offscreen
    - Improve window state checks
    - Fix area-based screencast recording for unredirected windows such
      as fullscreen games
    - Fix ability to map a graphics tablet to a monitor
    - Fix a crash if scanout fails unexpectedly
    - Fix a logic error in determining number of input device modes
    - Translation updates
  * Don't let debhelper 13.4+ make all of /usr/libexec executable.
    This is not what we want for installed-tests' associated data.
  * Add a lintian override for dh-exec-subst-unknown-variable

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:14:04 +0100

mutter (40.2.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 01:40:19 +0200

mutter (40.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 01:36:22 +0200

mutter (40.2-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jun 2021 23:08:29 +0200

mutter (40.2-1) experimental; urgency=medium

  * New upstream release:
    - Fix mouse position in remote desktop with fractional scaling
    - Fix fd leak
    - Disable KMS modifiers on radeon driver
    - Fix adding virtual monitor to physical session
    - Unbreak press-drag-release to pop up and select right click menus
    - Fix VKMS detection
  * debian/patches: Refresh, dropping applied upstream
  * d/p: Mark view-verification tests as incomplete in big-endian archs.
    Saved pixmaps are invalid in big-endian architectures, so let's disable
    the tests for now, checking only the basic metadata but not comparing
    the contents.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jun 2021 22:07:25 +0200

mutter (40.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version:
    - Wayland input thread support (LP: #1690719)
  * debian/patches: Refresh as per upstream changes
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Jun 2021 21:07:08 +0200

mutter (40.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Only snap to window edges when CTRL is pressed (LP: #1727225)
    - Fix viewport of offscreen effects (LP: #1825126)
  * debian: Update library name to follow soname (mutter-8)
  * debian/control: Bump dependencies to match upstream requirements
  * debian/patches:
    - Refresh
    - Do not run screencast tests.
      They require to have a full running pipewire (that requires a system
      dbus daemon) so, we can't easily get one up and running while building.
  * debian/libmutter-8-0.symbols: Sync with new library symbols
  * debian/control: Do not break on old gnome-shell versions
  * debian: Enable sysprof profiler on linux
  * debian/libmutter-8-0.symbols: Add new cogl trace symbols
  * debian/rules: Enforce symbols checking via higher gen symbols check level

