=== debian/changelog ===
mutter (42.0-3ubuntu2) jammy; urgency=medium

  * Revert "debian/patches: Fix privacy-screen and connectors updates with
    triple-buffering"
    This reverts commit 4a568376f00111e52badcb69857c3fc57ae7d394.
  * debian/patches: Fix triple buffering patch to avoid possible regressions.
    Ensure that fix for lp:1966178 doesn't lead to regressions as in:
      https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1441#note_1429212

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 15:16:57 +0200

mutter (42.0-3ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick various upstream commits for 42.1:
    + onscreen/native: Fall back if COPY_MODE_SECONDARY_GPU fails to init
      (LP: #1964037, #1959888)
  * debian/patches: Allow any drag timestamp as drag start serial (LP: #1964541)
  * debian/patches: Move x11-fractional scaling under ubuntu namespace
  * debian/patches: Account ClutterStage grabs on Wayland key focus sync
    (LP: #1964442)
  * debian/libmutter-10-0.symbols: Update including new internal symbols
  * debian/patches: Avoid memory errors when comparing gamma values
  * debian/patches: Fix privacy-screen and connectors updates with
    triple-buffering (LP: #1966178)
  * debian/patches: Ensure privacy screen settings are applied on startup
    (LP: #1966178)

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add triple-buffering patch
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
    - ubuntu/wayland-data-device-Allow-any-drag-timestamp-as-drag-star.patch:
      + handle DnD for old (snapped) gtk apps that used wrong wayland serials

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Apr 2022 03:30:39 +0200

mutter (42.0-3) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick upstream fixes targeting 42.1
  * debian/patches: Ensure repick happens on actors visibility changed
    (LP: #1964545)

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 09:34:27 -0400

mutter (42.0-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add triple-buffering patch
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * Drop glibc-tools from Build-Depends: no longer used
  * Update triple buffering patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream fixes targeting 42.1
  * debian/patches: Ensure repick happens on actors visibility changed
    (LP: #1964545)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Mar 2022 16:05:22 +0200

mutter (42.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Skip monitor-size tests that may fail on autopkgtest

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 09:28:30 -0400

mutter (42~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Add Breaks: gnome-shell (<< 42~rc)
  * debian/control.in: Bump minimum meson, libwayland-dev & wayland-protocols
  * debian/libmutter-10-0.symbols: Add new symbols
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 13:11:43 -0500

mutter (42~beta-1ubuntu2) jammy; urgency=medium

  * debian/patches: Skip monitor-size tests that may fail on autopkgtest

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Mar 2022 02:27:21 +0100

mutter (42~beta-1ubuntu1) jammy; urgency=medium

  * Merge with debian after being accepted (no content change)
  * xrandr-scaling: Do not change type of experimental settings schema.
    There's no real benefit to do this change as it's only for power-users
    and it will break updaters (and g-c-c integration).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 03:22:10 +0100

mutter (42~beta-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Implement a new Clutter grab API
    - Support KMS testing via QEMU
    - Add support for privacy screen
    - Allow changing monitor configuration policy
    - Fix possible missed clicks on menus
    - Place popups on the same monitor as the anchor rect (LP: #1930567)
    - Announce DMA-BUF support via pipewire
    - Raise the file descriptor limit of the wayland compositor
    - Fix resetting idle time on lid open
    - Reset idletime when unplugging the power cable
    - Keep a single cursor sprite visible with tablets
    - Sync keyboard LEDs after layout changes (LP: #1830637)
    - Honor window input area in picking
    - Handle mixture of keycombo/no action in pad rings/strips
    - Fix videos in Firefox stuttering in overview
    - Fix X11 middle button emulation setting
    - Fix crash on empty frame info queue (LP: #1960585)
    - Fix window size after returning from fullscreen (LP: #1947467)
    - Don't change workspaces of unmanaged windows (LP: #1933996)
    - Ensure constraints after client resize (LP: #1917939)
  * debian/watch: Accept pre-release version
    Can still use gbp import --upstream-version=XX.Y to get stable only
  * debian: Rename packages to use mutter-10 API
  * debian/rules: Compute mutter API version on unstable releases too
  * debian/control: Update dependencies
  * debian/patches: Refresh and update to latest code
  * debian/libmutter-(test-)10.symbols: Update
  * d/p/11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes

  [ Jeremy Bicha ]
  * Update autopkgtest & lintian override for new version

  [ Daniel van Vugt ]

