=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
@@ -23,6 +23,7 @@
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas-dev (>= 40~alpha),
                gtk-doc-tools (>= 1.15),
+               libc-bin <!nocheck>,
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libdrm-dev (>= 2.4.83) [linux-any],
@@ -32,26 +33,26 @@
                libgbm-dev (>= 17.3) [linux-any],
                libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 0.9.12),
-               libgl1-mesa-dev (>= 7.1~rc3-1~),
-               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
-               libglib2.0-dev (>= 2.67.3),
+               libgl-dev,
+               libgles-dev,
+               libglib2.0-dev (>= 2.69.0),
                libgnome-desktop-3-dev (>= 3.36.0),
                libgraphene-1.0-dev (>= 1.10.2),
                libgtk-3-dev (>= 3.19.8),
                libgudev-1.0-dev (>= 232) [linux-any],
                libice-dev,
-               libinput-dev (>= 1.15.0) [linux-any],
+               libinput-dev (>= 1.19.0) [linux-any],
                libjson-glib-dev (>= 0.13.2-1~),
                libnvidia-egl-wayland-dev [linux-any],
                libpam0g-dev,
                libpango1.0-dev (>= 1.46.0),
-               libpipewire-0.3-dev (>= 0.3.21) [linux-any],
+               libpipewire-0.3-dev (>= 0.3.33) [linux-any],
                libsm-dev,
                libstartup-notification0-dev (>= 0.7),
                libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
                libsystemd-dev (>= 212) [linux-any],
                libwacom-dev (>= 0.13) [linux-any],
-               libwayland-dev (>= 1.18.0) [linux-any],
+               libwayland-dev (>= 1.20.0) [linux-any],
                libxau-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -61,7 +62,7 @@
                libxcursor-dev,
                libxdamage-dev,
                libxext-dev,
-               libxfixes-dev,
+               libxfixes-dev (>= 6.0),
                libxi-dev (>= 2:1.7.4),
                libxinerama-dev,
                libxkbcommon-dev (>= 0.4.3),
@@ -70,22 +71,25 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               meson (>= 0.51),
+               meson (>= 0.55.0),
                pkg-config (>= 0.22),
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               sysprof (>= 3.40.1) [linux-any],
                udev [linux-any],
-               wayland-protocols (>= 1.19) [linux-any],
+               wayland-protocols (>= 1.25) [linux-any],
                xauth <!nocheck>,
+               xcvt [linux-any],
                xkb-data,
-               xserver-xorg-core [linux-any],
                xvfb <!nocheck>,
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/impish
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/impish
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: any
@@ -112,13 +116,17 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-8-tests
+Package: mutter-10-tests
 Architecture: any
 Depends: at-spi2-core,
          dbus,
          dmz-cursor-theme,
-         libmutter-8-0 (= ${binary:Version}),
+         libmutter-10-0 (= ${binary:Version}),
+         libmutter-test-10 (= ${binary:Version}),
          mutter (= ${binary:Version}),
+         python3,
+         python3-dbus,
+         python3-dbusmock,
          xauth,
          xvfb,
          xwayland [linux-any],
@@ -137,11 +145,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-8
+Package: gir1.2-mutter-10
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmutter-8-0 (= ${binary:Version}),
+Depends: libmutter-10-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -158,7 +166,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-8-0
+Package: libmutter-10-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -170,7 +178,8 @@
          ${shlibs:Depends}
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
-        gnome-settings-daemon (<< 3.31.91)
+        gnome-settings-daemon (<< 3.31.101),
+        gnome-shell (<< 42~rc),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -184,11 +193,11 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-8-dev
+Package: libmutter-10-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-mutter-8 (= ${binary:Version}),
+Depends: gir1.2-mutter-10 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
@@ -196,20 +205,20 @@
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
-         libglib2.0-dev,
+         libgles-dev,
+         libglib2.0-dev (>= 2.69.0),
          libgraphene-1.0-dev (>= 1.9.3),
          libgtk-3-dev,
-         libinput-dev (>= 1.7),
+         libinput-dev (>= 1.19),
          libjson-glib-dev,
-         libmutter-8-0 (= ${binary:Version}),
+         libmutter-10-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev [linux-any],
          libx11-dev,
          libxcomposite-dev,
          libxdamage-dev,
          libxext-dev,
-         libxfixes-dev,
+         libxfixes-dev (>= 6.0),
          libxi-dev,
          libxrandr-dev,
          ${misc:Depends}
@@ -224,6 +233,23 @@
  of Clutter, a scene graph and user interface toolkit.
  .
  This package contains the development files.
+
+Package: libmutter-test-10
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libmutter-10-0 (= ${binary:Version}),
+         mutter (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Test helper library for GNOME's window manager library
+ Mutter is a Wayland display server and X11 window manager and
+ compositor library. It contains functionality related to, among other
+ things, window management, window compositing, focus tracking, workspace
+ management, keybindings and monitor configuration.
+ .
+ This package contains a private library used by the automated tests for
+ mutter and gnome-shell. It should not be used by non-GNOME packages.
 
 Package: mutter-common
 Section: misc
