## mutter 42.4

=== debian/changelog ===
mutter (1:42.4-2revyos3) unstable; urgency=medium

  * use default_driver=gles2 for riscv64

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 23 May 2023 20:11:17 +0800

mutter (1:42.4-2revyos2) unstable; urgency=medium

  * add mutter-partial-discard-fix.patch

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 07 May 2023 15:29:24 +0800

mutter (1:42.4-2revyos1) unstable; urgency=medium

  * Rebuild for gles

 -- Han Gao <gaohan@iscas.ac.cn>  Thu, 06 Apr 2023 20:07:24 +0800

mutter (42.4-2) unstable; urgency=medium

  * Team upload
  * d/control.in, d/gbp.conf: Set up branches for an unstable upload
  * d/p/tests-Give-mutter-test-runner-the-RUNPATH-to-find-Clutter.patch:
    Add patch to fix missing RUNPATH in tests, fixing an autopkgtest
    regression in 42.4.
    - Note that this does not resolve a different autopkgtest regression
      in 42.4, in environments where /dev/dri/card0 exists but is
      inaccessible. However, the /dev/dri/card0 issue is not fatal for
      Debian's production infrastructure, which uses autopkgtest-virt-lxc
      and therefore does not provide /dev/dri/card0 at all.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Aug 2022 17:54:28 +0100

mutter (42.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Refresh
  * debian/libmutter-10-0.symbols: Sync with new and removed internal symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 19:21:12 -0400

mutter (42.3-2) unstable; urgency=medium

  * debian/libmutter-10-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 14:14:30 +0200

mutter (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 16:33:25 +0200

mutter (42.2-1) unstable; urgency=medium

  * New upstream release (LP: #1976381)
    - Fix crash when restarting GNOME Shell on Xorg (LP: #1969893)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 31 May 2022 10:10:28 -0400

mutter (42.1-1) unstable; urgency=medium

  * New upstream release
    (LP: #1972726, #1967274, #1965557, #1969574, #1948410, #1967219, #1971693)
  * Drop patches applied in new release
  * debian/libmutter-10-0.symbols: Add new symbol
  * debian/libmutter-10-0.symbols: Drop a symbol that was only in experimental
  * Add Breaks against old gtk3 & gtk4 versions.
    See Ubuntu bug 1972721
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 16:51:12 -0400

mutter (42.0-5) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream commit 42.0-74-g6c8e8fbba
    - Bug fixes targeted for 42.1
    - d/p/clutter-stage-Repick-when-pointer-actor-goes-unmapped.patch:
      Replace with the version that was applied upstream
    - d/p/core-Account-ClutterStage-grabs-on-Wayland-key-focus-sync.patch:
      Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Apr 2022 10:04:42 +0100

mutter (42.0-4) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream commit 42.0-55-gbe9deeba0
    - Update translations
    - Update upstream status of cherry-picked patches
    - Add various bug fixes including LP: #1959888, LP: #1964037
  * d/p/core-Account-ClutterStage-grabs-on-Wayland-key-focus-sync.patch:
    Add patch proposed upstream to fix grabs vs. system-modal prompts.
    This is particularly annoying when using pkexec, or when using gcr as
    a passphrase prompt for PGP, ssh and/or sudo.
    (Closes: #1008998, LP: #1964442)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Apr 2022 11:54:56 +0100
