=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 # Following upstream method to compute the API version
-MUTTER_MINOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1)
-MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MINOR_VERSION) - 32 )) )
+MUTTER_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[~.].*//')
+MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MAJOR_VERSION) - 32 )) )
 MUTTER_SONAME = 0
 
 export MUTTER_API_VERSION
@@ -26,6 +26,7 @@
 	-Dwayland_eglstream=true
 else
 CONFFLAGS = \
+	-Dsystemd=false \
 	-Dudev=false \
 	-Dlibwacom=false \
 	-Dwayland=false \
@@ -36,12 +37,9 @@
 	-Dremote_desktop=false
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf riscv64))
 CONFFLAGS += \
 	-Ddefault_driver=gles2
-else
-CONFFLAGS += \
-	-Ddefault_driver=gl
 endif
 
 override_dh_auto_configure:
@@ -51,7 +49,10 @@
 # Use meson test directly as it allows us to use the timeout multiplier
 BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 TEST_COMMAND_BASE=env \
+	GIO_USE_VFS=local \
+	GIO_USE_VOLUME_MONITOR=unix \
 	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
+	GVFS_DISABLE_FUSE=1 \
 	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
 	dh_auto_test -- -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
 	           --no-stdsplit --print-errorlogs
@@ -68,10 +69,10 @@
 	glib-compile-schemas $(BUILDDIR)/data
 ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64,$(DEB_HOST_ARCH)))
 	-$(TEST_COMMAND)
-	-$(TEST_COMMAND_FLAKY)
+	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	$(TEST_COMMAND)
-	-$(TEST_COMMAND_FLAKY)
+	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 endif
 endif
