## mutter 42.9

=== debian/changelog ===
mutter (42.9-0ubuntu9) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add backend-native-Don-t-warn-on-EACCES-if-headless.patch.
    To avoid test failures in environments that have a GPU but also
    insufficient permission to open it. (LP: #2068119)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix screen recording crash with scaling and a custom cursor
    (LP: #2077746)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Aug 2024 12:45:48 -0400

mutter (42.9-0ubuntu8) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add fullscreen-maximize to tests-Tag-unstable-tests-as-flaky.patch
  * Add compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch to
    fix lag and freezes on the Nvidia Xorg driver (LP: #2059847)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh git indexes
  * debian/patches: Add fix to handle crash on destruction of invalid popups
    (LP: #2065066)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 May 2024 16:40:12 +0200

mutter (42.9-0ubuntu7) jammy; urgency=medium

  * Add build-Set-built-headers-as-libmutter_dep-sources.patch to prevent
    occasional build failures depending on parallelism (LP: #2055530)
  * Add cogl-gl-framebuffer-Fix-inverted-test-in-ensure_bits_init.patch to
    fix test failures in mutter:cogl+cogl/conform / framebuffer-get-bits
    when Mesa >= 23.1.1 (LP: #2055519)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 01 Mar 2024 17:47:40 +0800

mutter (42.9-0ubuntu6) jammy; urgency=medium

  [ Kai-Heng Feng ]
  * Fix mirror mode on reduced blanking panel. (LP: #2051074)

  [ Daniel van Vugt ]
  * Add compositor-x11-Sync-again-at-the-end-of-before_paint.patch
    to fix incomplete redraws in X11 virtual machines (LP: #2054510)
  * debian/control.in: Stop automatically reverting to the old uploaders.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 22 Feb 2024 15:25:36 +0800

mutter (42.9-0ubuntu5) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Drop clutter-frame-clock-Avoid-rapidly-toggling-dynamic-max-re.patch.
    It was never really required in mutter 42 but has caused some new stutter
    elsewhere (LP: #2030959)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 11 Sep 2023 15:39:50 +0200

mutter (42.9-0ubuntu4) jammy; urgency=medium

  * Add Revert-data-udev-Don-t-disable-KMS-modifiers-on-newer-i91.patch
    to fix rendering failures on older kernels (5.15) when run on newer
    hardware (Intel Alder Lake). (LP: #2026887)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 13 Jul 2023 08:15:36 -0400

mutter (42.9-0ubuntu2) jammy; urgency=medium

  * Add clutter-frame-clock-Avoid-rapidly-toggling-dynamic-max-re.patch to
    avoid cursor stutter (LP: #2023766)
  * Add backends-x11-Return-zero-Hz-instead-of-nan-Hz-for-incompl.patch
    so that incomplete graphics mode definitions are reported as having a
    refresh rate of 0 Hz instead of -nan Hz. This also fixes the behaviour
    of the 'Revert Settings' button (LP: #2020782)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 12 Jul 2023 07:49:16 -0400

mutter (42.9-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1998286)
    - Fix high memory and lagginess when resizing side-by-side
      tiled windows (LP: #1985089)
  * Cherry-pick patch to fix dialog for enabling or disabling
    accessibility features with keyboard shortcuts
  * debian/libmutter-10-0.symbols: Add symbol from patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 15:25:14 -0400

mutter (42.5-0ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #1985856)
  * debian/patches: Refresh
  * debian/libmutter-10-0.symbols: Sync with new and removed internal symbols

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch.
    Dual-GPUs crash in gbm_surface_release_buffer (LP: #1969422)
    Leftover mouse pointer when moving between monitors (LP: #1988625)

  [ Zoe Spellman ]
  * New upstream release

 -- Zoe Spellman <zoe.spellman@canonical.com>  Thu, 13 Oct 2022 12:08:14 -0700

mutter (42.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1981724)
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 17:46:27 +0200

mutter (42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976381)
     - Fix crash when restarting GNOME Shell on Xorg (LP: #1969893)
  * Refresh patches. Drop privacy screen settings patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 14:53:49 -0400

mutter (42.1-0ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    (LP: #1972726, #1948410, #1967219, #1971693)
  * Refresh triple buffering patch with latest version
  * Drop patches applied in new release
  * debian/libmutter-10-0.symbols: Add new symbol
  * Add Breaks against old gtk3 & gtk4 versions.
    See Ubuntu bug 1972721

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Adapt expected log messages to new domains

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 12:10:07 -0400
