=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	-Dremote_desktop=false
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf riscv64))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
 CONFFLAGS += \
 	-Ddefault_driver=gles2
 endif
